/*
 * @Author: Kane
 * @Date: 2023-04-06 14:14:23
 * @LastEditors: Kane
 * @FilePath: /desktop_archievement_backend/src/main/java/com/cpic/xim/utils/account/TeleSalerInfo.java
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */

package com.cpic.xim.utils.account;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

public final class TeleSalerInfo
{
    /**
     * @description: 构造函数
     * @param code: 坐席工号
     * @param name: 坐席名称
     * @param teamCode: 团队代码
     * @param teamName: 团队名称
     * @param departmentCode: 部门代码
     * @param departmentName: 部门名称
     */
    private TeleSalerInfo( String code, String name, String teamCode, String teamName,
            String departmentCode, String departmentName)
    {
        this.code = code;
        this.name = name;
        this.teamCode = teamCode;
        this.teamName = teamName;
        this.departmentCode = departmentCode;
        this.departmentName = departmentName;
    }

    public static TeleSalerInfo queryTeleSalerInfo( String code )
    {
        TeleSalerInfo info = null;

        // 到时要改
        String userName = "desktop_archievement_admin";
        String password = "Cpic123456";
        String jdbcURL = "jdbc:oracle:thin:@10.39.0.86:1521:xmcx1";

        return info;
    }

    public String getCode()
    {
        return code;
    }

    public void setCode( String code )
    {
        this.code = code;
    }

    public String getName()
    {
        return name;
    }

    public void setName( String name )
    {
        this.name = name;
    }

    public String getTeamCode()
    {
        return teamCode;
    }

    public void setTeamCode( String teamCode )
    {
        this.teamCode = teamCode;
    }

    public String getTeamName()
    {
        return teamName;
    }

    public void setTeamName( String teamName )
    {
        this.teamName = teamName;
    }

    public String getDepartmentCode()
    {
        return departmentCode;
    }

    public void setDepartmentCode( String departmentCode )
    {
        this.departmentCode = departmentCode;
    }

    public String getDepartmentName()
    {
        return departmentName;
    }

    public void setDepartmentName( String departmentName )
    {
        this.departmentName = departmentName;
    }

    @Override
    public int hashCode()
    {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((code == null) ? 0 : code.hashCode());
        result = prime * result + ((name == null) ? 0 : name.hashCode());
        result = prime * result + ((teamCode == null) ? 0 : teamCode.hashCode());
        result = prime * result + ((teamName == null) ? 0 : teamName.hashCode());
        result = prime * result + ((departmentCode == null) ? 0 : departmentCode.hashCode());
        result = prime * result + ((departmentName == null) ? 0 : departmentName.hashCode());
        return result;
    }

    @Override
    public boolean equals( Object obj )
    {
        if ( this == obj )
            return true;
        if ( obj == null )
            return false;
        if ( getClass() != obj.getClass() )
            return false;
        TeleSalerInfo other = (TeleSalerInfo) obj;
        if ( code == null )
        {
            if ( other.code != null )
                return false;
        } else if ( !code.equals( other.code ) )
            return false;
        if ( name == null )
        {
            if ( other.name != null )
                return false;
        } else if ( !name.equals( other.name ) )
            return false;
        if ( teamCode == null )
        {
            if ( other.teamCode != null )
                return false;
        } else if ( !teamCode.equals( other.teamCode ) )
            return false;
        if ( teamName == null )
        {
            if ( other.teamName != null )
                return false;
        } else if ( !teamName.equals( other.teamName ) )
            return false;
        if ( departmentCode == null )
        {
            if ( other.departmentCode != null )
                return false;
        } else if ( !departmentCode.equals( other.departmentCode ) )
            return false;
        if ( departmentName == null )
        {
            if ( other.departmentName != null )
                return false;
        } else if ( !departmentName.equals( other.departmentName ) )
            return false;
        return true;
    }

    @Override
    public String toString()
    {
        return "TeleSalerInfo [code=" + code + ", name=" + name + ", teamCode=" + teamCode
                + ", teamName=" + teamName + ", departmentCode=" + departmentCode
                + ", departmentName=" + departmentName + "]";
    }

    private String code;
    private String name;
    private String teamCode;
    private String teamName;
    private String departmentCode;
    private String departmentName;
}
